<?php

/**
 * Class Lang
 * @property string $lang
 * @property array $data
 * @property string $dir
 */
class Lang
{
    private $lang;
    private $data;
    private $dir;

    /**
     * Lang constructor.
     * @param $lang
     */
    public function __construct($lang)
    {
        $this->lang = $lang;
        $this->dir = __DIR__ . '/../lang/';
        $this->getData();
    }

    /**
     * Получаем данные из файла и записываем в свойство
     */
    private function getData()
    {
        $this->data = json_decode(file_get_contents( $this->dir . $this->lang . '.json'), true);
    }

    /** Получаем текст по запросу
     * @param $param
     * @param array $data
     * @return mixed
     */
    public function getParam($param, $data = [])
    {
        $text = $this->data[$param];

        if (count($data) > 0) {
            foreach ($data as $key => $val) {
                $text = str_replace("{" . $key . "}", $val, $text);
            }
        }

        return $text;
    }

}